Regression: bubble location setting from notification-daemon is not migrated to notify-osd

Bug #346095 reported by Michael B. Trausch
212
This bug affects 37 people
Affects Status Importance Assigned to Milestone
notify-osd (Ubuntu)
Invalid
Wishlist
Unassigned
Nominated for Jaunty by kitpz
Nominated for Karmic by Nicholas Christian Langkjær Ipsen
Nominated for Lucid by kitpz

Bug Description

Binary package hint: notify-osd

It appears that notify-osd doesn't bother to see if I had settings from previously and attempt to adopt them. I want a way to put my notifications down at the bottom right of the screen and stack upward, where they are closer to the places I actually work on the screen.

This bug is a regression from Ubuntu's previous notification-dæmon system.

Tags: regression
tags: added: regression
Revision history for this message
Gareth Hart (tghe-retford) wrote :

I too would also like to suggest that notify-osd should allow configuration of where the notifications show on screen. Currently, notify-osd assumes that everyone has their panel at the top of the screen and places them below the panel. However, I only have one panel at the bottom of the screen, yet the notifications appear at the top of the screen and can be easily missed because I am used to notifications appearing at the bottom right of the screen in respect to where my [only] panel is on the screen.

Some kind of configuration and/or respect of where panel(s) are placed on screen needs to be integrated into notify-osd, as it was previously in notification-daemon.

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

Just happened across this quote from Mark Shuttleworth's blog:

You can’t click on the notifications, we don’t have a “dismiss” button, and we don’t support actions (buttons) on the notifications. As for size, the size is based on your system font settings. They are designed not to take too much space, and fit in with other work we will deliver over the next year. The positioning won’t be configurable, because as I say other screen elements have to fit around them.

Hopefully, that will change? If not, I see a lot of people reverting to notification-dæmon or someone forking and fixing notify-osd...

Revision history for this message
Matthew Paul Thomas (mpt) wrote :

We are sorry that Jaunty alpha 5 accidentally shipped with the "Notification Settings" utility that applied only to notification-daemon, when 9.04 is not going to ship with notification-daemon. But this mistake has been fixed since before alpha 6 (bug 332014). So this is not a regression: the bubble position wasn't graphically customizable in 8.10, and it won't be graphically customizable in 9.04 either. It's not reasonable to say that Notify OSD doesn't "bother to see if I had settings from previously", where "previously" means "a bug in an alpha release".

Changed in notify-osd (Ubuntu):
status: New → Invalid
Revision history for this message
Michael B. Trausch (mtrausch) wrote : Re: [Bug 346095] Re: notify-osd doesn't honor my preference

On Mon, 23 Mar 2009 10:02:03 -0000
Matthew Paul Thomas <email address hidden> wrote:

> We are sorry that Jaunty alpha 5 accidentally shipped with the
> "Notification Settings" utility that applied only to notification-
> daemon, when 9.04 is not going to ship with notification-daemon. But
> this mistake has been fixed since before alpha 6 (bug 332014). So this
> is not a regression: the bubble position wasn't graphically
> customizable in 8.10, and it won't be graphically customizable in
> 9.04 either. It's not reasonable to say that Notify OSD doesn't
> "bother to see if I had settings from previously", where "previously"
> means "a bug in an alpha release".

Previously (read: under Intrepid) my notifications came from the bottom
right and stacked up. notify-osd gets it all wrong. What makes you
guys think you know what I want on my system better than I do?

This notification system really rubs me the wrong way, and the
snobbishness surrounding it does, too.

Whatever. If it doesn't get fixed, I (or someone else) will fix it in
a PPA, more likely than not.

 --- Mike

Revision history for this message
Mat Tomaszewski (mat.t.) wrote :

Michael B. Trausch wrote:
> On Mon, 23 Mar 2009 10:02:03 -0000
> Matthew Paul Thomas <email address hidden> wrote:
>
>
>> We are sorry that Jaunty alpha 5 accidentally shipped with the
>> "Notification Settings" utility that applied only to notification-
>> daemon, when 9.04 is not going to ship with notification-daemon. But
>> this mistake has been fixed since before alpha 6 (bug 332014). So this
>> is not a regression: the bubble position wasn't graphically
>> customizable in 8.10, and it won't be graphically customizable in
>> 9.04 either. It's not reasonable to say that Notify OSD doesn't
>> "bother to see if I had settings from previously", where "previously"
>> means "a bug in an alpha release".
>>
>
> Previously (read: under Intrepid) my notifications came from the bottom
> right and stacked up. notify-osd gets it all wrong. What makes you
> guys think you know what I want on my system better than I do?
>
> This notification system really rubs me the wrong way, and the
> snobbishness surrounding it does, too.
>
> Whatever. If it doesn't get fixed, I (or someone else) will fix it in
> a PPA, more likely than not.
>
>

No need for such harsh tone and strong emotions just because your
question was misunderstood.

We designed the notification system with the default setting (panel at
the top) in mind. The beauty of free software is that you can modify it
if you want to, to best suit your needs...

M.

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

On Mon, 23 Mar 2009 15:32:27 -0000
Mat Tomaszewski <email address hidden> wrote:

> No need for such harsh tone and strong emotions just because your
> question was misunderstood.
>
> We designed the notification system with the default setting (panel
> at the top) in mind. The beauty of free software is that you can
> modify it if you want to, to best suit your needs...

Sorry, seriously.

That said, this is not the first "misunderstanding" that has been had
over this new notification system.

It seems like everyone involved in its development dismiss any issues
with it as "that's a design thing". Even Mark says that it will never
be customizable within Ubuntu because that isn't what it is designed to
do. That means, for people like me, that it is broken.

The real problem? The reason I'm getting my pants in a twist? That
type of mentality ("we know better than the users, make the software
think it knows better than the user, too") is _precisely_ the reason
that I don't use Windows.

Closing a legitimate regression (read: regression in Ubuntu, because it
cannot possibly be a regression in notify-osd since it is new)? We
might as well close bug 1 as invalid, wontfix.

 --- Mike

Revision history for this message
ktp420 (ktp420) wrote : Re: notify-osd doesn't honor my preference

I have to agree with Mike.

Also what kind of message this is sending to the user target that Ubuntu is intended for:

"The beauty of free software is that you can modify it if you want to, to best suit your needs..."

Average user is not going to be or will want to rebuild things.

Revision history for this message
Matthew Paul Thomas (mpt) wrote :

It's very common for replacement components to have different levels of configurability from what they are replacing. For example, if we decided to replace Pidgin with Empathy as the default IM client, that wouldn't in itself mean Empathy was wrong not to offer a "Use smooth-scrolling" option or a "Use status from last exit at startup" option like Pidgin does. Similarly if we decided to replace Rhythmbox with Banshee as the default music player, that wouldn't in itself mean Banshee was wrong not to offer a "Toolbar Button Labels" setting like Rhythmbox does. If you're going to propose that Notify OSD have a particular option, advocating for it on its own merits (for example, what sort of people would use the different setting values?) would be much more interesting than "well, notification-daemon had a gconf option for that".

ktp420, you're quite correct to point out that the average user is not going to want to recompile software. But that's fine, because they are not going to want to configure the bubble placement either. We could be wrong about that; the beauty of Free Software is that if we are wrong, you can make your own variant and it will be wildly popular.

Revision history for this message
Michael B. Trausch (mtrausch) wrote : Re: [Bug 346095] Re: notify-osd doesn't honor my preference

On Tue, 24 Mar 2009 13:15:02 -0000
Matthew Paul Thomas <email address hidden> wrote:

> It's very common for replacement components to have different levels
> of configurability from what they are replacing. For example, if we
> decided to replace Pidgin with Empathy as the default IM client, that
> wouldn't in itself mean Empathy was wrong not to offer a "Use
> smooth-scrolling" option or a "Use status from last exit at startup"
> option like Pidgin does. Similarly if we decided to replace Rhythmbox
> with Banshee as the default music player, that wouldn't in itself
> mean Banshee was wrong not to offer a "Toolbar Button Labels" setting
> like Rhythmbox does. If you're going to propose that Notify OSD have
> a particular option, advocating for it on its own merits (for
> example, what sort of people would use the different setting values?)
> would be much more interesting than "well, notification-daemon had a
> gconf option for that".

You're going to compare "Please let me put the notifications in a
place where it is easier for my eye to see them so that I can work with
them" with "please give me back a superficial feature that doesn't
really matter and just makes me feel better because it uses more CPU
cycles"? Seriously? Do you _have_ any intelligence? Or are you just
following the fearless leader? This is a _bug_. Maybe you're fine,
and maybe it is easy for your eye to catch the notifications up at the
top-right, but it isn't for mine. Period. It's a usability issue.
That's what you don't seem to get.

Smooth scrolling isn't a usability issue. There is _zero_ basis for
comparison.

> ktp420, you're quite correct to point out that the average user is not
> going to want to recompile software. But that's fine, because they are
> not going to want to configure the bubble placement either. We could
> be wrong about that; the beauty of Free Software is that if we are
> wrong, you can make your own variant and it will be wildly popular.

No, the average user is going to want to make his or her desktop
accessible to his or her usage style and patterns. I suppose the
side-effect of being able to claim the beauty of free software is that
we are blessed with people who can be lazy because they choose to do so
and not implement accessibility features. Seriously.

Have you not considered that some people have piss-poor peripheral
vision? That those people will be likely to be the ones to move their
damn notifications closer to where they are looking _all the time_ on
their monitors? Oh, hi there. I am one of those. Fuck you, too.

This is a very Microsoft thing to do. Not only that, but it breaks
_my_ system, for _me_. And hell, no, I won't fork notify-osd. There
was no reason to create it in the first place, IMHO. There was
absolutely nothing wrong with notification-dæmon.

It would appear that Intrepid is as far as I go; I cannot go anywhere
else with a distribution that would propose to know how I want to use
my system better than I do. Assholes.

Revision history for this message
Michael B. Trausch (mtrausch) wrote : Re: notify-osd doesn't honor my preference

Just a few other comments. First, my tone was much to harsh earlier. Sorry.

It is really, _really_ aggrivating to be told "your case doesn't matter to [us/me?] because it's just a small thing, no big deal, right?", especially when the "case" in question is something directly linked to how I am able to use the system.

That's made twice as bad by the fact that:

mbt@zest:~/mono-2.4$ sudo apt-get --purge remove notify-osd
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  mono-debugger
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  gnome-power-manager* notify-osd* ubuntu-desktop* update-notifier*
0 upgraded, 0 newly installed, 4 to remove and 60 not upgraded.
After this operation, 12.8MB disk space will be freed.
Do you want to continue [Y/n]?

Uh, no. Removing notify-osd should *not* break ubuntu-desktop. If you install notification-daemon, the situation gets better, but notify-osd *still* breaks the desktop meta:

mbt@zest:~/mono-2.4$ sudo apt-get --purge remove notify-osd
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  mono-debugger
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  notify-osd* ubuntu-desktop*
0 upgraded, 0 newly installed, 2 to remove and 60 not upgraded.
After this operation, 872kB disk space will be freed.
Do you want to continue [Y/n]? ^C
mbt@zest:~/mono-2.4$

In effect, what this is saying is "we know better than you. Thou shalt always have notify-osd installed if you want platform updates when you next do a dist-upgrade." Sure, that's fine for users that want to go through all that trouble. But I don't, and I sure know that true end-users don't.

In face of the fact that that's the way it is, notify-osd really needs to be customizable at least for the bit about where the damn notifications pop up. Otherwise, to users such as myself, this package is less than useless—it's damned annoying. I don't really care if you can theme notify-osd—it's attractive _and_ high-contrast, so at least that's good. It fits just about any visual theme that I can think of to apply, and it does its job well for what it does. It is slightly annoying that it doesn't display notifications all at once, and instead serially, but that's not even that huge an issue. What *is* an issue is the placement. This really isn't rocket science. I just have (significantly) less than perfect vision, and want the bloody things at the bottom right of my screen. Is that seriously too much to ask for a platform that is general-use and has a bug like bug 1?

Revision history for this message
Neil Broadley (scaine) wrote :

Pardon my inexperience with launchpad, but if this bug has been marked as "invalid", does that effectively close discussion? I notice that the status has not been changed to "wontfix", so is this still a valid bug. If not, has another bug against usability regarding this issue been created and can it be linked to from here? That is, if this bug really is "invalid", then have other bugs been created to address for example :

1. Removing this system is impossible without breaking the ubuntu-desktop meta package (and others it would appear, like gnome-power-manager, and in my case, bizarrely the "Listen" media player, but not Rhythmbox for some reason).
2. Wishlist for positioning
3. Usability bugs against, for example, the length of time a notification stays on the screen (too short for my young sons to actually read them). There just can't be a "sane default" for the length of time some text stays on the screen... people are too diverse. And you can't argue that "it doesn't matter because it's not a big deal if you missed it", because in that case, why bother with putting them on the screen in the first place?

There are probably more, but I'm worried that serious issues surrounding this system are being swept under the rug in the run up to beta.

Revision history for this message
Matthew Paul Thomas (mpt) wrote :

Scaine, those indeed would be useful bug reports. I don't know whether the ubuntu-desktop packaging issue is practical to fix (AFAICT you get the same problem if you try to uninstall evince because you prefer xpdf, or if you try to uninstall gedit because you prefer geany, etc), but the other packaging oddities may be fixable bugs. For a bug report requesting configurable positioning on its own merits, as I said in my previous comment, it would be helpful to offer specific examples of why some people would prefer one position and others another. (Do they have different window arrangements? Or is there a condition that makes peripheral vision better in one direction than in others? Etc.) Configurable duration too could be a separate bug report.

Revision history for this message
ktp420 (ktp420) wrote :

I have a question...on one of your blog you have following:

http://mpt.net.nz/archive/2008/08/11/usability

It’s unhelpful because usability has multiple components:

    * Learnability — how easily a beginner can use the system, and how easily they can become an expert.
    * Efficiency — how quickly people can achieve what they want.
    * Memorability — how easily people can remember how to use the system or feature, after not using it for a while.
    * Safety — how rarely people experience errors, and how easy it is to fix any errors.
    * Satisfaction — how pleased people are with the overall experience.

Can you please explain how not providing an option helps with usability?

Revision history for this message
Matthew Paul Thomas (mpt) wrote :

Sure. Every extra option makes the interface more complex, which reduces learnability and memorability for the system as a whole. (In pathological cases it can reduce efficiency too, if popular options are buried alongside obscure options in a deep hierarchy. Evolution's and OpenOffice.org's preferences are unfortunate examples of this.) Every extra option also makes the code more complex, which makes it more likely to have bugs, reducing satisfaction.

That doesn't mean all options are bad. Sometimes an option would improve efficiency or satisfaction for some fraction of existing or potential users; and the improvement and the fraction may, together, be large enough to outweigh the option's disadvantages. (For example, accessibility options may be useful for very few people, but they can make a dramatic difference to whether those people can use the system at all.) So a proposal to add an option is most likely to be successful if it makes some effort to describe what sort of people would benefit, and how they would benefit. Just saying "It's a usability issue" is unhelpfully vague.

Revision history for this message
Michael B. Trausch (mtrausch) wrote : Re: [Bug 346095] Re: notify-osd doesn't honor my preference

On Wed, 25 Mar 2009 10:00:53 -0000
Matthew Paul Thomas <email address hidden> wrote:

> That doesn't mean all options are bad. Sometimes an option would
> improve efficiency or satisfaction for some fraction of existing or
> potential users; and the improvement and the fraction may, together,
> be large enough to outweigh the option's disadvantages. (For example,
> accessibility options may be useful for very few people, but they can
> make a dramatic difference to whether those people can use the system
> at all.) So a proposal to add an option is most likely to be
> successful if it makes some effort to describe what sort of people
> would benefit, and how they would benefit. Just saying "It's a
> usability issue" is unhelpfully vague.

Not seeing how, even after it *has* been explained here, is just being
obtuse. I am *quite* sure that I am not the only person who has poor
peripheral vision and whose attention is largely focused on one
quadrant of the screen.

It clearly makes it easier for me if I can have the notifications pop
up in the area of the screen where I am most likely to see them. This
neither causes bloat nor makes the application unintelligible. For all
of the statements you've made, all you have done is secure the point
that we're trying to make in the first place that they should be
configurable in terms of placement.

I am not asking that it be configurable in terms of colors, shades,
fonts, placement, duration, serial alerts or parallel alerts, and
everything else. That'd clearly be a bit much, especially since any
application should use those settings from the base system, anyway.

But when it comes to visibility, for me and others like me (I
*strongly* doubt that I am the only person that works around his/her
vision issues in the way that I do, by positioning screen elements
where I can see them), it doesn't take much thought to realize that
this is a usability issue. If it does, you're thinking about it wrong.

notify-osd isn't the only thing where treatment like this from
Canonical is becoming a regular issue. I'm noticing treatment like
this in reporting even very obvious bugs that should never have made it
into the release, where it's being looked at as a non-issue and
probably won't be fixed. At least one of those bugs (re: the gnome
meta package) is a repeat offender and will be broken for yet another
release. Oh, well, I guess. Why bother filing reports, if they're
just going to get ignored and argued until they no longer matter
because the releases are supposed to be as immutable as possible, and
with immutable releases, fixing trivial bugs becomes artifically
difficult?

Maybe we should file a bug report (or series of them) on how bugs are
handled in Launchpad for the Ubuntu project. Or maybe that'd be just a
large a waste of time.

 --- Mike

Revision history for this message
ktp420 (ktp420) wrote :

> Date: Wed, 25 Mar 2009 10:00:53 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 346095] Re: notify-osd doesn't honor my preference
>
> Sure. Every extra option makes the interface more complex, which reduces
> learnability and memorability for the system as a whole. (In
> pathological cases it can reduce efficiency too, if popular options are
> buried alongside obscure options in a deep hierarchy. Evolution's and
> OpenOffice.org's preferences are unfortunate examples of this.) Every
> extra option also makes the code more complex, which makes it more
> likely to have bugs, reducing satisfaction.

So in this case, it is more important to have learnability and memorability. And efficiency and satisfaction is not that important. I mean the point of the notification is to inform the user about something, which could be information or errors. Now if the user finds it hard to use the feature, then doesn't this make it not safe since user can miss something important. I know you will never find perfect setup which will make everyone happy. That is why we have options. Let people decide and customize so the user is satisfied and the efficiency increases. Customize does not mean the user has to change code and rebuild and do this after every update. If you feel that this is something that most average user will not need, then why not provide option that is not easily seen in the UI but can be configured in case the users who do need to customize it can.

As for learnability, at least in this case, average user is most likely going to be coming for the Windows world. In that world, all the notification are on bottom right. So doesn't going to top right make it harder on the average beginner user of this system.

Besides I don't really see any point in taking this any further becaue it seems like the person(s) making the decission as already decissed what is the best for the user. And I am sure there were some user studies done on this.

_________________________________________________________________
Windows Live™ SkyDrive: Get 25 GB of free online storage.
http://windowslive.com/online/skydrive?ocid=TXT_TAGLM_WL_skydrive_032009

Revision history for this message
ddumont (ddumont) wrote : Re: notify-osd doesn't honor my preference

I find the developer response to this bug report both insulting and comical...

You seriously... are comparing a notifier application to OpenOffice or evolution?
I think you have slightly distorted view on things if you believe that you must make up for the sins of others by chopping your own legs off at the knees. There's no *good* reason to hobble this program because some have overused miscellaneous options.

Configurable options are needed in programs in order for them to be usable for precisly the reasons that Mike is pointing out here. Not everyone uses their desktop in the same way. A notifier can exist and function well for tons of people with just a few options. Hard coding things the way you are doing is going to piss off alot of people.

If your goal is to get people to use and enjoy using this distribution, it should be made configurable for people with different tastes or NEEDS than your own. I happen to hate those god damned notification bubbles, so as much as Mike hate's not being informed by them, I hate seeing them. Those are two very important and desirable options to include in ANY notifier application. Look at all the popular IM applications... they all have many options for how to be notified... for good reasons... the users wanted them.

Revision history for this message
Javier García Díaz (jgd) wrote :

In my opinion, the notifications should appear in the corner of the screen that is closer to the notification area (or the indicator applet, I still have not made a decision). Since many of the notifications have an icon in those areas (say Apport, Empathy, Evolution...), it would be faster and less confusing to perform the action related to the notification (open the crash report, read the IM message, read the incoming e-mail...). However, maybe is easier to just let the user choose the location.

As for the people that would benefit from it being configurable:
- The people that commented in this bug, since they would get what they asked for.
- People that are not using the default positioning of applets. If the notification is closer to the notification area, they won't have to move their attention to a different corner of the window once the notification has drawn it to a corner.
- People that read from right to left. The notifications would not disturb then that much (it's a matter of visual compostion, ask a publicist or a newspaper/website editor).

Revision history for this message
Matthew Paul Thomas (mpt) wrote :

In future versions of Ubuntu, there will be fewer and fewer icons in the notification area that are related to notification bubbles.

If you are using Ubuntu in a right-to-left language, the bubbles already appear in the top left rather than the top right.

Revision history for this message
David Bernard (vadreb) wrote :

Bug status: invalid ??

Another great opportunity to quote Linus

 - This "users are idiots, and are confused by functionality" mentality of
Gnome is a disease. If you think your users are idiots, only idiots will
use it. I don't use Gnome, because in striving to be simple, it has long
since reached the point where it simply doesn't do what I need it to do.

Revision history for this message
Seth O'Bannion (saobannion) wrote :

I understand that this is something new. I don't expect a vast array of options already, but the basics should be there. At this point, I would think choosing a corner is satisfactory for most of us. Different people prefer different workflows, and one of the best things about Linux is that it lets you change things to better suit your needs.

I like many things about the new system, and I think it has potential to make real improvements to Ubuntu and other distros if they choose to adopt it, but it has to work WITH the user. I would rather not have to choose between the functionality of these two options when the best of both worlds could be made available.

Revision history for this message
Xavier Guillot (valeryan-24) wrote :

Hello,

I fully agree with Michael and other users : I also moved the systray to the bottom of my screen, I only have this panel, and I'd like to see the notifications on the right-bottom corner.

Now, with a 22' screen, on the top-right, most often I do not notice them, so there are useless and it becomes exactly the contrary of the initial intention : make the notifications visible !

On Intrepid system was perfect : notifications were on the applet or on the bottom-right corner.

I also very appreciate new notify-osd, the look, uniformity, work done is very well, thanks for that. The only thing I would like is to choose the location, and correlate it to the systray, I do not ask for more configuration.

Without that I will disable notify-osd and try to get back to the old system. But as it is normal, with the future evolution and new versions, sometime un-maintained things get un-usable.

So clearly for me it is a regression, too, and I hope this bug will be fixed.

Best regards.

Revision history for this message
Mat Tomaszewski (mat.t.) wrote :

Thanks everyone for the comments.

The balance between configurability and making software reliable, elegant and efficient is always very tricky. Michael, your problems with peripheral vision are a valid signal that there may be a design issue there. Thanks for bringing this up.

Notify OSD is a brand new package and we're constantly gathering information about various problems and requests. Any such issue raised that becomes a trend or is verified by user testing will be addressed, and - if necessary - the functionality will be changed. Please understand though that this won't happen overnight :)

For now, I'm reopening the bug for further consideration.

Changed in notify-osd (Ubuntu):
status: Invalid → New
Mirco Müller (macslow)
Changed in notify-osd (Ubuntu):
status: New → Confirmed
assignee: nobody → mpt
Revision history for this message
David Barth (dbarth) wrote :

Turning that into "whishlist" to let the discussion continue outside of the release process for 9.04.

Changed in notify-osd (Ubuntu):
importance: Undecided → Wishlist
Revision history for this message
Michael B. Trausch (mtrausch) wrote : Re: [Bug 346095] Re: notify-osd doesn't honor my preference

On Mon, 06 Apr 2009 11:54:07 -0000
Mat Tomaszewski <email address hidden> wrote:

> Thanks everyone for the comments.
>
> The balance between configurability and making software reliable,
> elegant and efficient is always very tricky. Michael, your problems
> with peripheral vision are a valid signal that there may be a design
> issue there. Thanks for bringing this up.

Thank _you_ for reopening this for consideration. I greatly appreciate
it, and I do hope that this bug can become fixed. It will be a great
help to be able to have the notifications display in a region of the
screen where I can easily see them. I currently miss many of them
because I sometimes only notice them after they've been up for most of
the length of the timeout. Making the timeout longer isn't that
helpful since it takes a serialized approach to displaying the
notifications, really making the only viable solution (at least for me)
being the ability to relocate them.

Given the design of the rest of the system, I don't see it as being too
much or too confusing to let people do just that. Thank you again.

> Notify OSD is a brand new package and we're constantly gathering
> information about various problems and requests. Any such issue raised
> that becomes a trend or is verified by user testing will be addressed,
> and - if necessary - the functionality will be changed. Please
> understand though that this won't happen overnight :)

Hardly. Everything takes time. The biggest frustrating thing was
simply being shot down without consideration for the issue. I know and
realize that there are many applications that have too many knobs; any
application system that has too much in the way of configurability will
become confusing; the answer doesn't lie in the other end of the
spectrum, though. Even if notify-osd's only config tweaking happens in
gconf and has to be accessed by gconf-editor, that is good enough.
After all, it could re-use the /apps/notification-daemon configuration,
or simply copy its popup_location key to /apps/notify-osd.

Thank you again.

 --- Mike

Revision history for this message
Vish (vish) wrote : Re: notify-osd doesn't honor my preference

since developers want to hear about different setups>>>

i have a single panel on the right[since i have a widescreen] and makes no sense when the notification appears on top
i had the notifications demon set to the bottom right since it was my usual habitual place to look for notifications in windows...

i think that as most newcomers to Ubuntu are from Windows they usually would expect the notifications at the bottom...

and the developer asking for reasons why a user doesnt like it at the top is like asking why some people prefer vanilla to chocolate ice-cream and viceversa!!! or why a user uses a icon set other than human icons!
           We just dont like it at the top,
 and since its within the Ubuntu-Desktop bundle and being non-removable makes the problem even worse!!!
i guess we would hear more about this once jaunty is released to the public...

i think that the logical setup would have been like how notification demon was configured!

thanks for considering this in the wishlist...

Revision history for this message
Xavier Guillot (valeryan-24) wrote :

Thank you Mat and Ubuntu developers to take our remarks into consideration, this reopening is a good news.

For the moment I installed gnome-stracciatella-session, it works fine on Jaunty and allows me to have the notifications on bottom right, but I will look closely to the future of notify-osd for next versions.

Best regards,

Xavier

Revision history for this message
Matthew Woerly (nattgew) wrote :

I'm very glad that this bug has been opened for discussion.
I for one do not have a Gnome panel running... I just use AWN. So there is no panel to get a position from.
Because of the way I have my monitors set up, I'd definitely like to be able to choose a position for notifications. I think that there should be an option for configuration at some level higher than source code...

Revision history for this message
Tekin B. (mods) wrote :

I am also a person who dislikes that the notifications appear at the upper right corner. I cannot believe that this -> bug <- is set as "wishlist" because in my eyes, it's not a wish of mine, it's a real bug. I was really surprised as I readed the answers of the developers. Do you guys really think that all Ubuntu users have their panel at the top of the screen? So what for is the position of the panel adjustable? Why not making that one fixed at the top. And why do you allow us to theme the desktop? All users like dark desktops. That is the consense of your words in my eyes. You also say, that the advantage of free software is that everyone can work on it. Yes, but everyone who can code c. I am a PHP coder. So what can I do? Just sit and wait. Or do you guys want me to learn C in my old days?

I can live with it for the next few weeks, but please, please fix this bug as soon as possible.

Regards,
Tekin

Revision history for this message
drink (martin-espinoza) wrote :

It is ridiculous to go backwards in functionality; it is even more ridiculous to offer me a settings program to switch the location of notifications if it doesn't do anything. Please, offer the functionality of previous offerings, and allow us to specify where the notifications appear, and which direction they go. Otherwise this is just one more component of the GNOME desktop that everyone is going to want to replace, and which will thus be replaced in the GNOME desktop again anyway within a minor revision or two (if history is any guide.)

As other users have stated, this is a usability issue. Since when is restricting choice the Linux way? And since when is "go change the source, kid" the Ubuntu way? I can't help but think that there's probably a more useful, non-official response in the forums someplace.

Revision history for this message
OlivierP (unineurone) wrote :

Here's my initial reaction to the package:
Cute, well thought out. It isn't too intrusive, and blends well with the themes I use.
Now, how do I get them to appear outside of my blind spot ???
I go delving through the system menu, nothing there. Great. Yet another Gnome thing who's configuration is hidden.
So google kicks in, and I find this bug. I definitely understand mbt's position, suffering from blind spots in both top & bottom right regions.

Could the positioning, when done, be based on dividing the screen area in 9 regions, and not only limited to corners ? All the osd settings on my external monitors offer this... not to mention flat screen TVs.

An option to entirely disable the notifications needs to be included. They are definitely something I do _not_ want to see when doing a presentation in front of certain audiences.

Revision history for this message
Darren Davison (darren-davisononline) wrote :

I agree with all of the sentiments here. It's simply staggering that so much effort is having to be spent to make developers accept that this is a usability issue - pure and simple. On a 24" screen at 1920x1200, I cannot see the top right corner of the screen at all when working in a window on the left side. When I *do* glance over to the right, it's to the bottom of the screen where my panel and notification area is. (Big hint there guys.. *notification area*).

In the time wasted by developers attempting to justify the unjustifiable in this - and other - bug reports, they could have added the option to move the location already. It's crass, idiotic, and downright insulting to even *think* you know better than your target audience, let alone come right out and say it. I hope you guys that are spouting or defending this rubbish never have to earn a living writing software for paying customers (as I do). You think the abuse you're getting here is bad..?

Revision history for this message
Julian Kranz (juliankranz) wrote :

Hi there!

I've upgraded to Ubuntu 9.04 today and also hated to be forced to have those notifications on the top of the screen, even though I have my only panel on the bottom.

I did not want to wait until you may make your decision; so fixed it myself. As I am a C-beginner my solution is too ugly to put online. Still, if someone is interested in getting a fast fix for now, you may email me at <email address hidden>.

Greetings,
Julian

Revision history for this message
Mat Tomaszewski (mat.t.) wrote : Re: [Bug 346095] Re: notify-osd doesn't honor my preference

jucs wrote:
> Hi there!
>
> I've upgraded to Ubuntu 9.04 today and also hated to be forced to have
> those notifications on the top of the screen, even though I have my only
> panel on the bottom.
>
> I did not want to wait until you may make your decision; so fixed it
> myself. As I am a C-beginner my solution is too ugly to put online.
> Still, if someone is interested in getting a fast fix for now, you may
> email me at <email address hidden>.
>
>
Julian, thanks for being the first person who, instead of complaing,
actually did something.

To all others that have spoken: your voice is being heard and is not
ignored. But please have patience - we don't have 300 developers here,
and every piece of software must first be stable, before it can be
upgraded/changed.

Thanks.

Revision history for this message
Tekin B. (mods) wrote : Re: notify-osd doesn't honor my preference

Mat: I would love to do something if I could code C. So what can we "Non C Coders" do? Complain and wait. I readed the comments of the other developers and they sounded kinda arrogant "It's so, live with it!".

Don't believe that we are not patient, now that we heard from you, that our voice is not ignored and it will be done after 9.04 is stable.

Revision history for this message
Darren Davison (darren-davisononline) wrote :

@Mat: thanks for listening, I for one will now look forward to the option to configure the dialogs and I will point anyone else I hear complaining to your response.

But as has been pointed out, we're not all C developers, so there's little else non-coders or non-C-coders *can* do. Nor is anyone saying that you *have* got 300 developers.

What's fueling some of the vitriolic comments in these threads, is not the fact that it's the way it is, it's the fact that some Ubuntu developers have had the brazen cheek to TELL users that they know better what we want, and that their code is NOT configurable by design because - hey, we're all just stupid after all and we should be grateful for the choices they make. If it were even possible to remove notify-osd without breaking the ubuntu-desktop meta package, they just *might* have a case by invoking the "you have a choice" argument. But unfortunately...

'Nuff said. I look forward to a usable notify-osd :)

Revision history for this message
Michael B. Trausch (mtrausch) wrote : Re: [Bug 346095] Re: notify-osd doesn't honor my preference
Download full text (3.7 KiB)

First things first: jucs, can you put a debdiff up here? Or at the
very least a patch against current "apt-get source"? Thank you!

On Fri, 17 Apr 2009 20:17:57 -0000
Mat Tomaszewski <email address hidden> wrote:
> Julian, thanks for being the first person who, instead of complaing,
> actually did something.

Some of us who use the system have full plates and _don't_ have the
time to do anything about it.

Some of us are working on client-paid work, and use Ubuntu to get our
work done.

Some of us expect to be able to use our systems.

Some of us expect to not be talked down to when filing a bug that is a
bug, caused by someone's inability to (not) see what I can't.

You know what? I didn't have a problem with notify-osd, the concept.
But the sheer arrogance of:

  * making ubuntu-desktop depend on it,
  * marking the bug invalid in the first place, assuming that I meant
    something other than what I said.
  * not bothering to read the bug (Intrepid is not "an alpha release",
    it is my previous release and where I expected my settings to be
    carried from).
  * That _every_ place that this issue has been brought up that I can
    find, the person who brings it up gets shot down, even by Mark.

> To all others that have spoken: your voice is being heard and is not
> ignored. But please have patience - we don't have 300 developers
> here, and every piece of software must first be stable, before it can
> be upgraded/changed.

As a developer who already has _far_ too much on his plate and hasn't
looked at the notify-osd package source yet, I can say at least these
things:

 * If the people who wrote it couldn't make this trivial change
   quickly, it is designed _wrong_.
 * Your (Canonical's) condescension towards those with visual problems
   is duly noted since we're just a bunch of complainers anyway. I'm
   not blind, but I don't have perfect vision, and a large display
   area. What was *@canonical.com's response? Hrm. See earlier in
   this bug.
 * If the software isn't stable, _why_ is it in a release? It should
   be postponed for Karmic, if it is not stable. Oh, maybe that Grumpy
   Groundhog can come out and play if Ubuntu wants rolling development
   and people to test it. I'd run it if it bloody existed. Well, I
   would have a year or even six months ago---I don't know that I would
   anymore.
 * Your message ignores the issues:
   - YOUR developers made it hard to uninstall notify-osd.
   - YOUR developers made it hard to _SEE_ notify-osd, at least for
     _some_ users (hi, us busy overworked not-quite-blind complainers).
   - YOUR processes permitted this piece of unstable software (your
     words, not mine) into a distribution to be released Real Soon
     Now. Was that a decision to make it so that stability of
     notify-osd came after code freeze in Ubuntu and we'd be stuck?
     Was it lack of forethought?

I have used Ubuntu on the desktop for a long time because so far it's
been a good choice. It's offered me *_choice_*, and it's offered me
recent software that I wanted, not ancient stuff like Debian does.

While the latter still exists, the former doesn't seem to matter as
much to Canonical...

Read more...

Revision history for this message
Julian Kranz (juliankranz) wrote : Re: notify-osd doesn't honor my preference

Dear Michael,

you're absolutely right that I did not use the best way to spread my changes. But still, I'm not sure, if it would be such a good idea to put this up here openly - even though I think I didn't do any harm (such as memory leaks or so), I'm sure the developers would kill me if they saw my code.

Maybe I'll find the time to make things at least a little more polish (I'd start with giving variables the right names, they still refer to top corners). But I'm sure those with little more C knowledge and knowledge of that project could do that a big lot better.

I think I should also say something to your criticism. Of course this not a feature (a configuration file doesn't do any harm). But I still consider open source software as a present. And actually, I think those bubbles aren't done too bad (if we didn't like them, we'd all be free to use the old notification daemon).

I don't think it's fair to be so hard on those developers. We've still got every possible choice - first, we can avoid their software and second, we can just alter the source and do whatever we want.

Oh and I'm sorry for my English ;-)

Greetings again,
Julian

Revision history for this message
Michael B. Trausch (mtrausch) wrote : Re: [Bug 346095] Re: notify-osd doesn't honor my preference
Download full text (4.7 KiB)

On Fri, 17 Apr 2009 22:30:51 -0000
jucs <email address hidden> wrote:

> you're absolutely right that I did not use the best way to spread my
> changes. But still, I'm not sure, if it would be such a good idea to
> put this up here openly - even though I think I didn't do any harm
> (such as memory leaks or so), I'm sure the developers would kill me
> if they saw my code.
>
> Maybe I'll find the time to make things at least a little more polish
> (I'd start with giving variables the right names, they still refer to
> top corners). But I'm sure those with little more C knowledge and
> knowledge of that project could do that a big lot better.

Even just a bzr branch would be good, then some of us with less time
that could use a starting point might be able to take five minutes and
look it over. That's better than nothing. :)

> I think I should also say something to your criticism. Of course this
> not a feature (a configuration file doesn't do any harm). But I still
> consider open source software as a present. And actually, I think
> those bubbles aren't done too bad (if we didn't like them, we'd all
> be free to use the old notification daemon).
>
> I don't think it's fair to be so hard on those developers. We've still
> got every possible choice - first, we can avoid their software and
> second, we can just alter the source and do whatever we want.

I do try not to be hard on people. That said, this notify-osd ordeal
has been one issue after another. For example, they made it hard to go
back to notification-dæmon, because they made ubuntu-desktop depend on
notify-osd. That means that "apt-get --purge remove notify-osd" yields
in not having the ubuntu-desktop metapackage, which means that if they
make updates to the set of required software for the desktop, (e.g.,
add new conflicts or anything like that), those updates cannot be
received. Someone had to go out of their way to add that dependency,
and that means that they had to think about it.

I wouldn't be mad at _all_ if the bug report would have been accepted.
I wouldn't be mad at all even if the response was, "You know what, we
can't get to this now, but we'll look at it for Karmic." I wouldn't be
mad if the response would have been anything more than that, either.
However, the initial (and continued) responses have been such that it's
nearly like I don't matter. I realize that I am nearly statistically
insignificant in the sea of Ubuntu users, but the treatment I have
received on this bug report is something that I would expect from a
corporation who doesn't care about its users, not from a company that
is working on open source, community-oriented software and whose goal
is to try to improve the reach and quality of that software.

The problem is compounded by the fact that of late, many real issues
are being summarily rejected---or worse, ignored---even amazingly
stupidly simple issues that _already_ have fixes available for them. I
fixed an issue, for example, in Hardy that only just a day or so ago
was finally pushed into Hardy. I submitted the fix for that a week or
two maybe before Hardy was released, or maybe a week or two after, I
can't remember now. But it was to f...

Read more...

Revision history for this message
ktp420 (ktp420) wrote :

> Date: Fri, 17 Apr 2009 20:17:57 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: Re: [Bug 346095] Re: notify-osd doesn't honor my preference
>
> Julian, thanks for being the first person who, instead of complaing,
> actually did something.
>

I would do something about it but like most of the other users (guessing here), I am not C program. Sorry if that means I can't raise an issue.

> To all others that have spoken: your voice is being heard and is not
> ignored. But please have patience - we don't have 300 developers here,
> and every piece of software must first be stable, before it can be
> upgraded/changed.
>

I think someone made a point about this, and questions were raised why was this rushed in so quickly...specially when the new notification system took functionality way from existing. Wouldn't have been better not to make it default in this release and given option to let user test drive it and get feedback from user and dev...kind of like how ext4 is done.

I know it is hard to please everyone so thanks for letting use raise issues and listening/taking notes.

_________________________________________________________________
Windows Live™: Keep your life in sync.
http://windowslive.com/explore?ocid=TXT_TAGLM_WL_allup_1a_explore_042009

23 comments hidden view all 103 comments
Revision history for this message
internetter (internetter) wrote : Re: notify-osd doesn't honor my preference

This notification system completely breaks any NX connection that isn't on a gigabit connection. It also maxes out a CPU core on my server to render the translucent fade. Was this tested at all in any kind of multiuser environment?

Revision history for this message
vexorian (vexorian) wrote :

In my opinion this should be marked as bug and not just a wishlist.

Lack of customization is really becomes a BAD, bad , BAD thing from the stuff ubuntu is inventing lately. This reminds me of the UME_launcher which was always a great idea but with almost no customization options whatsoever.

It is crazy that you can't even change the position this thing uses, but there are other issues, like the color that are even more important and also not changeable. It should actually use a gtk setting for the color, I mean , really...

I'll have to switch to stracciatella and that kind of blows...

Revision history for this message
Trab (trab) wrote :

I read the first half of the comments, and felt the pain of other users. I'll post this first in hopes that it's useful to someone, to stop the Notify-OSD (because you can't uninstall it without breaking ubuntu-desktop) type this in a terminal:
sudo mv /usr/share/dbus-1/services/org.freedesktop.Notifications.service /usr/share/dbus-1/services/org.freedesktop.Notifications.service.disabled

then restart your computer. they'll be gone forever. (thanks to http://www.killertechtips.com/2009/04/26/disable-notifications-in-ubuntu-904-jaunty-jackalope)

What's truly perplexing is that last line. Restart your computer, to make a chance to a setting...that sounds very much like a terrible product many of us try to avoid.

When I first saw the notify-OSD announcement, I thought: Ok, kinda cool. may be useful. Personally I used guification for pidgin, to ONLY show me when I had new messages (if I wanna know if someone's online, I'll check if they're online. If I need to know the INSTANT they're online, I'll setup a buddy-pounce...what's the point of these other notifications?)

When I upgraded to 9.04, the first thing I noticed was that I was getting way to many of those notifications for people signing on and off. so I look around for some kind of config.

 Surprise surprise, there is none. Nor is there a simple way to turn it off. Nor does killing the process help at all. In fact, I checked everything I could think of (cron, sysconfig, ~/.bash_profile) to find the sucker. nada.

I love Ubuntu. I've been using it since Warty. This was bad enough that I also ditched Ubuntu for another distro. Honestly, the mentality behind forcing users to deal with this is not the Ubuntu way. Please either give us some kind of configuration, or at the very least a simple way to disable it.

Revision history for this message
Daniel Hallgren (daniel-hallgren) wrote :

Notifications from signing on/off in pidgin can be disabled trough pidgin (Tools / Plugins / Libnotify popups / Configure Plugin).

Reverting to the old notification system can easily be done by installing gnome-stracciatella-session, then log out and finally selecting "GNOME (without Ubuntu specific components)" session before logging in. Took me 20 seconds, and I can switch back any time I like. Look at http://martinpitt.wordpress.com/2009/02/23/the-stracciatella-gnome-session/ for more details.

However, I do agree that there should be an option - the current positioning does not work at all for me due to bugs. But as I said, it is easy to revert to the old system (took me a while to find it).

Revision history for this message
Tekin B. (mods) wrote :

I still cannot believe that this ->bug<- is tagged as wishlist. This is odd. I like the new notification style. All I want to change is the position and I don't want to be forced to take the old stuff. This is really odd. Where is the Ubuntu feeling I loved where we could choose how we want it and not be forced by the developers?

Revision history for this message
Uri Shabtay (uri.shabtay) wrote :

after reading most of the aforementioned posts.. i doubt if anyone posted the small fact (among the lack of the notifications' positioning) that they're not themed correctly.

When i change the ICON theme set to be different than the default HUMAN theme, the theme is changed, and not for the better. no matter which theme i'll use, it'll always be the same "secondary" theme. i noticed it's no meant to be that way, and that each icon theme has a 'status' folder within it, so why won't the notification OSD use it for the icon set?

hope this will be solved soon (like the Intel driver.. but that's another story :) )

Revision history for this message
Derek White (d-man97) wrote :

Now, for everyone complaining:
This is a new program. Further releases will update/expand the functionality. I am, however, surprised that there have been no updates to it since jaunty was released; but, then again, it's only been what, 6 weeks?

If you don't like the new program, install another one. I don't like Totem Movie Player, so I installed MPlayer & vlc. Same deal with notify-osd. Not everyone likes the defaults, and I'm sure this same issue came up when other default programs were replaced. The key word there is default - it's not the ONLY program.

If your bubbles aren't showing on the screen due to a weird virtual size, monitor layout, etc., then submit a bug report for that (everyone can agree that a program should be smarter and more robust). They are trying to take an over-grown, over-used notification system and streamline it. Until it's finished and fully functional, give the devs a break and let them work out the kinks.

If you think a program is giving too much output, it's not notify-osd's fault - it's the program over-using libnotify. Complain to them. Furthermore, give them time as well to adjust to the new notification system and to implement smarter code to know which notification system is in use on a particular OS installation. If it's the old way, then the changes have already been made and probably work - because they've had time to work out the kinks. If notify-osd is in use, they need to make some changes - and probably already have started. Again, give them time as well.

Ubuntu wasn't built overnight...And I'll be damned if it's going to go the way of PCLinuxOS over something as mundane as bubbles! Keep up the work and keep up the good fight.

********************************

For my own interest...

About positioning:
*old way: places the notification (by default) below/above the notification area applet, based on whether it was a top/bottom panel housing the area
*new way (notify-osd): places the notification on the top right of the main monitor
Is this correct?

About packages:
*What is notify-daemon (notification-daemon & notify-osd both conflict with & replace it).
*If it's a viable replacement, why isn't notify-daemon in the repositories?
*From libnotify1's description in synaptic:
"To actually display the notifications, you need to install the package notification-daemon."
If notification-daemon does not depend on notify-osd, where does notify-osd come in, if (according to libnotify1) notification-daemon displays the bubble?
*Can notify-osd be removed and have notification-daemon still do the work?
*Can notification-daemon be removed and have notify-osd still do the work?

P.S. - Bug 1 is great! Nominated for Karmic - let's hope it gets fixed! lol

Revision history for this message
Tekin B. (mods) wrote :

You get it wrong Derek.
We do not complain that it takes too long until notify-osd is fixed. Most of us are angry because it is flagged as "Wishlist" and not "Bug". It means the developer say "It's okay so and when we find time we will look if we can take care of your wish that the new notification is adjustable" and not "It's a bug and we will fix it as soon as possible".

Revision history for this message
ddumont (ddumont) wrote : Re: [Bug 346095] Re: notify-osd doesn't honor my preference

Not to mention that you force code that's no-where NEAR complete down the
pipes to people who expect a release to have pretty proven code.

I will not "wait" for developers to finish, that's what the dev-cycle of
this release was for. They should have offered this replacement as
experimental and an optional install if they wanted a "break" from
criticism.

Also, your argument that programs overuse libnotify is mind boggling...
The programs that use libnotify wouldn't use libnotify if their users didn't
want it to use libnotify. Just like your argument for this new feature...
The users who don't like this new notification system can use another one.

I'd just like to point out though... that the users of ubuntu will no longer
use ubuntu if they no longer like ubuntu.

On Tue, Jun 9, 2009 at 4:30 AM, cYbercOsmOnauT <email address hidden>wrote:

> You get it wrong Derek.
> We do not complain that it takes too long until notify-osd is fixed. Most
> of us are angry because it is flagged as "Wishlist" and not "Bug". It means
> the developer say "It's okay so and when we find time we will look if we can
> take care of your wish that the new notification is adjustable" and not
> "It's a bug and we will fix it as soon as possible".
>
> --
> notify-osd doesn't honor my preference
> https://bugs.launchpad.net/bugs/346095
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “notify-osd” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: notify-osd
>
> It appears that notify-osd doesn't bother to see if I had settings from
> previously and attempt to adopt them. I want a way to put my notifications
> down at the bottom right of the screen and stack upward, where they are
> closer to the places I actually work on the screen.
>
> This bug is a regression from Ubuntu's previous notification-dæmon system.
>

Revision history for this message
Derek White (d-man97) wrote : Re: notify-osd doesn't honor my preference
Download full text (3.8 KiB)

> Most of us are angry because it is flagged as "Wishlist" and not "Bug".

Well, it's not a bug - plain and simple. There is no code in the program for moving the notification, so how can there be a bug that doesn't inherent preferences? That's like saying "When I installed Amarok, it didn't import my Rhythmbox library." Besides, this whole bug or wish-list thing is just a word to help categorize items. There have been wish-list items fixed before bug items and vice-versa. It all depends on who wants to program what at what time. The unfortunate underlying concept here is that this is Mark S.'s baby and we have to convince him. :/ Besides all that, isn't there a more proper place to talk about this? Maybe one where actual developers will directly hear your opinions?

From http://www.ubuntu.com/community/ReportProblem:
"Feature and policy discussions should be discussed on the ubuntu-devel mailing list"
To help you out even more, you can sign up here:
https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel

> "It's a bug and we will fix it as soon as possible".

That is laughably un-true - as soon as possible. I wish it were true though! =)

> Not to mention that you force code that's no-where NEAR complete down the
> pipes to people who expect a release to have pretty proven code.

Seems pretty complete to me. Most problems that people are having stems from changing their icon set/theme or using a "weird" monitor layout - all of which have/are being fixed. The only problem I personally have with it is when my Mobile Broadband connection connects, I get about 6 messages in ~/.cache/notify-osd.log in a 0 second span, causing the bubble to "flash" for a bit before settling down, and I'm sure it will be fixed in one way or another - who knows, maybe it's NetworkManager's fault.

> I will not "wait" for developers to finish, that's what the dev-cycle of
> this release was for. They should have offered this replacement as
> experimental and an optional install if they wanted a "break" from
> criticism.

I did not intend to say or imply we wait for them to finish, I merely meant to recommend that you allow them time to work out the kinks. Even firefox has several on-going problems that have been put to the way-side for one reason or another - should firefox still be an experimental, optional install? These so-called "issues" are more common than you all want to believe.

> Also, your argument that programs overuse libnotify is mind boggling...
> The programs that use libnotify wouldn't use libnotify if their users didn't
> want it to use libnotify. Just like your argument for this new feature...
> The users who don't like this new notification system can use another one.

It wasn't an argument that the programs overuse libnotify. I was referring, mainly, to the pidgin "problems" people have. Those users feel that pidgin is overusing the bubbles (sign on/off, etc). That is not notify-osd's problem, and pidgin has a facility to deal with it. If users feel other programs have a similar 'over-use' then they should recommend the program adjusts it's features, just like pidgin has a facility for. Again, it's not notify-osd's fault.

> I'd just like to ...

Read more...

Revision history for this message
Michael B. Trausch (mtrausch) wrote : Re: [Bug 346095] Re: notify-osd doesn't honor my preference

On Tue, 9 Jun 2009, Derek White wrote:

>> Most of us are angry because it is flagged as "Wishlist" and not
> "Bug".
>
> Well, it's not a bug - plain and simple. There is no code in the program
> for moving the notification, so how can there be a bug that doesn't
> inherent preferences? That's like saying "When I installed Amarok, it
> didn't import my Rhythmbox library." Besides, this whole bug or wish-
> list thing is just a word to help categorize items. There have been
> wish-list items fixed before bug items and vice-versa. It all depends on
> who wants to program what at what time. The unfortunate underlying
> concept here is that this is Mark S.'s baby and we have to convince him.
> :/ Besides all that, isn't there a more proper place to talk about this?
> Maybe one where actual developers will directly hear your opinions?

It was intended to be a bug filed against the distribution, not the program.
In 8.10, I had settings. When I upgraded to 9.04, those settings were
dishonored unless I broke ubuntu-desktop and restored the old notification
system. I don't know about you, but I don't like breaking important
metapackages on my system that might cause me difficulty upgrading to newer
yet versions in the future.

  --- Mike

Revision history for this message
Derek White (d-man97) wrote : Re: notify-osd doesn't honor my preference
Download full text (3.8 KiB)

Mike,

Thank you for the slight clarification (I admit I didn't read the whole thread). It seems like your real problem is not what this bug is described as. Would you change the description of your bug? Or, did you already file one for the breaking of ubuntu-desktop?

In my dealings with Ubuntu, I have found several other similar instances - such as when attempting to remove totem after installing mplayer/vlc or removing ekiga to install an svn version of ekiga (I just lived with it and even upgraded [seemingly] fine). Nowadays, it seems to me that Ubuntu changed them from dependencies to recommendations and started to "Consider recommended packages as dependancies" at the same time; since, I can now safely remove both of them without damaging ubuntu-desktop. [Personally, I never ran into problems without ubuntu-desktop installed, but I am just one case.]

I fully agree that notify-osd should not be a true dependency. At the least have an | attached to it. Mark(?) believes differently.

I also don't believe that pulseaudio should be a dependency, nor cups, nor evince. Hell, personally, everything should be recommended. However, all of those have a simple method to disable them (or not use them), while still keeping them installed. Is there no simple way to do the same with notify-osd? Since I still have notification-daemon installed (from 8.10 I assume), I can't even find where it would have loaded, 'ls /etc/rc*.d /etc/init.d/ | grep not' returns nothing. They really did a good job of obfuscating it, huh? Are they started by d-bus?

Thunderbird puts new mail notifications on the bottom-right of my screen, how did they bypass the all-seeing-all-knowing-eye of Mark S. and not abide by his rules - did the ubuntu thunderbird team get lashed after release? :) (Thunderbird's notifications are horrid - they don't even follow theme changes, text is all washed out. I wish they used notify-osd!)

Indicator Applet - indicates something needs attention on desktop; Notification Area - place for notification icons...does no one else see the inherent problems with those two? I sure hope they fix it. I'm guessing that's part of the fun stuff yet to come! Is the indicator applet useless now? (relegated to a waste of 1px on the panel)

Further problems of Ubuntu:
Rolling release would fix many issues [PCLOS seems to do it fine, as well as many others], but unfortunately it doesn't fit into Canonical's business model. You can't support a version for 3 years if your constantly rolling up the same version. [Unless I understood you wrong on comment 39.]

About the hard-of-sight (from The Ubuntu Promise):
"Ubuntu includes the very best translations and accessibility infrastructure that the free software community has to offer." Isn't this bug about accessibility? I hope they live up to their promises in comment 23.

Un-Related:

I still would really like to know the answers to my previously posted questions...maybe I will take my own advice and move them to answers.launchpad.com...a more fitting place.

From MPT: "In future versions of Ubuntu, there will be fewer and fewer icons in the notification area that are related to notification bubbles." Does that mean I a...

Read more...

Revision history for this message
Derek White (d-man97) wrote :

Whoops! Forgot to mention Sebastien's hint at a fix, will it work for you until notify-osd is fixed?

"/usr/share/dbus-1/services/org.freedesktop.Notifications.service on how it's started"

Seems like:
1) Install notification-daemon.
2) Open /usr/share/dbus-1/services/org.freedesktop.Notifications.service for editing.
3) Switch around the two exec paths at the end.
(Basically make n-d the default and n-osd the fall-back.)

Revision history for this message
Derek White (d-man97) wrote :

Better yet, in your case, just change the whole Exec=/bin/sh... line to:

Exec=/usr/lib/notification-daemon/notification-daemon

[Brain fart!]

Revision history for this message
Phoenix --rise-from-ashes (meindian523) wrote :

Derek,MPT,Sebastian et al:

The problem is not that notify-osd won't cater to someone's preferences or old settings or whatever,the problem was with the initial response of MPT(status: bug->invalid,wontfix) and the problems faced by those with poor peripheral vision(MBT).MPT amended himself(after a lot of flames,but he did amend himself),then Sebastian jumped in without reading the thread completely.If he had,he would have seen that possible workarounds had been proposed and the bug was assigned.Nobody's denying that time is required for fixing bugs,but the hullabaloo could have been avoided if MPT had just said"Ok,I see your problem,we will get to it";and Sebastian has read the thread before posting.MBT would have been satisfied,notify-osd would have been(hopefully) fixed,and there wouldn't be such a long letter from me. ;)

Revision history for this message
Xavier Guillot (valeryan-24) wrote :

Hello,

I noticed some days ago that now the notifications appear no more on right top of screen, but right middle.

I was wondering if it was a bug or feature, but it is a feature, indeed an experiment waiting for users advice to decide what to do :

http://macslow.net/?p=381

Comments can be left there to the discussion...

I like this new position in the middle : as I have all my bars / docks on the bottom of the screen, I never saw notifications when they appeared at the top, so now it is very good.

But like many others, I would really prefer to have the choice for the position (right bottom), this would be the best !

Anyway, thanks for the good job done :-)

Revision history for this message
John Ledbetter (john-ledbetter) wrote :

Here's a quick patch which uses the new 'gravity' gconf key to provide four new positions (top-left, middle-left, bottom-left, and bottom-right), in addition to the current top-right and middle-right options.

Revision history for this message
Tekin B. (mods) wrote :

Thanks for the patch but I cannot patch the source of notify-osd from packages.ubuntu.com with it. Which sources did you use?

Revision history for this message
John Ledbetter (john-ledbetter) wrote :

Sorry for not specifying. The patch I attached was built against the current bzr tunk.

Revision history for this message
Tekin B. (mods) wrote :

Thanks John!

I just had to create the gravity key on my own in the gconf-editor and after setting it to 3 I finally had the notifications on the bottom right.

Revision history for this message
HBLaw (huangbolaw) wrote :

How arrogant Ubuntu developers are! Sigh.

Revision history for this message
PowerUser (i-am-sergey) wrote :

Each ignorance and arrogance haves it's price. That's are users who would not use such system. I hope this weird ussue would be fixed as well. I *hate* using taskbar on top of screen, yet I forced to use notification in upper part of screen. And using registry not an answer, such things should be configurable in more simple means. Not everyone likes defaul Gnome's 2-panel design after all.

Revision history for this message
Cyberkilla (cyberkilla04uk-deactivatedaccount) wrote :

@John Ledbetter: Are you seriously demonstrating that this entire argument could have been defused with ~40 lines of code, which amount to a few constants and a switch block?

Over six months of arguing over nothing. How disappointing.

Revision history for this message
zoostation (zoothousand-one) wrote :

My apologies if my remarks here have already been addressed, but can you blame me for not wanting to read all 86 posts when half of them or more are people bickering about whether or not this is a problem, and whose job it is to fix it?

I just wanted to say I switched to Ubuntu (Gutsy Gibbon, upgrading regularly through Karmic Koala) from Windows, among other reasons, because I could customize so many features of it without having to reprogram anything, build it myself, work it all out in code I don't understand, etc. It was a great compromise of customization and newbie-friendly UI that, it seemed, was getting better every upgrade. Being presented with a replacement app with less customization is disappointing.

And I'm guessing my next issue (that the Karmic settings menu has a Pop-Up Notifications config in it where I can tell it to change style and location, and then click Preview to see that it's exactly the same with every setting) has something to do with the difference between notification-daemon and notify-osd, and that someone detailed a workaround in the middle of the mess above.

Revision history for this message
Matthew Paul Thomas (mpt) wrote :

zoostation, it is not true that "the Karmic settings menu has a Pop-Up Notifications config in it where I can tell it to change style and location". The only version of Ubuntu where that was true was Jaunty alpha 4; It was removed in alpha 5.

Revision history for this message
Tekin B. (mods) wrote :

Will we see any change on this before Lucid Lynx or will it be ignored by the developers? I am waiting since 8 months for a official solution. Sorry to say so but Karmic Koala was mostly a step backward for me.

Revision history for this message
Matthew Paul Thomas (mpt) wrote :

Cybercosmonaut, Canonical developers are implementing org.freedesktop.Notifications.CloseNotification and fixing some bugs, but not doing other work on Notify OSD in Lucid. Anyone else is, however, welcome to implement the gconf-controlled positioning options described in the specification <https://wiki.ubuntu.com/NotifyOSD#position>. There was no change to Notify OSD's configurability in Ubuntu 9.10, so whatever you were referring to by "Karmic Koala was mostly a step backward", it's off-topic for this bug report.

Revision history for this message
Mike.lifeguard (mikelifeguard) wrote :

There's still a 'Pop-Up Notifications' entry in System>Preferences that does nothing. Is that supposed to be there if you're not supporting any preferences for notify-osd?

Revision history for this message
Matthew Paul Thomas (mpt) wrote :

Mike.lifeguard, as I have already explained twice in this bug report, that item is there only if you installed Ubuntu Jaunty alpha 4 and have upgraded since then. It is not present in any Ubuntu release version.

Revision history for this message
Tekin B. (mods) wrote :

Matthew: After more than one year.. will we see any change for notify-osd or do you just want to explain again and again that this is no bug?

Before this change I looked alot at the notifications. Since more than one year I more and more ignore them. Mostly because they are not visible for me. I don't look at the upper right corner the whole time when I work.

Revision history for this message
Mike.lifeguard (mikelifeguard) wrote : Re: [Bug 346095] Re: notify-osd doesn't honor my preference

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 10-06-11 05:10 AM, Matthew Paul Thomas wrote:
> that item is there only if you installed Ubuntu Jaunty alpha 4 and have
> upgraded since then. It is not present in any Ubuntu release version.

Sorry, that's simply not true. I've never installed an alpha release.

Anyways, how do I rid myself of this? It is sitting there mocking me
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwSUNQACgkQst0AR/DaKHvV8wCffTVC5lNkgYhAuTmkbH375xEk
a8YAoIiWf7hz7HfqRQDcK/be/iOJnD59
=7rua
-----END PGP SIGNATURE-----

Revision history for this message
Mike.lifeguard (mikelifeguard) wrote : Re: notify-osd doesn't honor my preference

The configuration tool that doesn't do anything is from notification-daemon.

Revision history for this message
David D Lowe (flimm) wrote :

I'm changing the title of this bug to:
"Regression: bubble location setting from notification-daemon is not migrated to notify-osd"

This reflects the original problem better.

The bug asking for the possibility to configure notify-osd's bubble location has already been filed separately at as bug #420514 : "Position of notification bubbles could be configurable". This is the bug report that many people who have commented on this bug report seem to be affected by.

summary: - notify-osd doesn't honor my preference
+ Regression: bubble location setting from notification-daemon is not
+ migrated to notify-osd
Revision history for this message
Matthew Paul Thomas (mpt) wrote :

If you think it's a regression, please, name the specific Ubuntu release it is regressing from.

Revision history for this message
Mike Doherty (doherty) wrote :

Would you please stop coming up with excuses not to fix what users are clearly dissatisfied with? The Ayatana team made a design mistake. It happens. Get over yourselves and make it right.

Revision history for this message
Michael B. Trausch (mtrausch) wrote :

The original bug was a regression from Ubuntu 8.10 to 9.04: 8.10 permitted you to change the location of the notification bubbles, whereas 9.04 did not with the change to osd-notify. The regression is not against osd-notify itself, but the Ubuntu platform.

Revision history for this message
Tekin B. (mods) wrote :

So how many years we will have to wait until this will be fixed, erm.. migrated? Not everyone has a panel at the top.

Revision history for this message
Erick Brunzell (lbsolost) wrote :

Excuse me, but SABDFL decided this would NOT be adjustable!

Stop flogging the "team".

I actually like the notion of one person being able to resolve issues like this.

It's a design decision and SABDFL had his say on it, end of story!

Revision history for this message
Neil Broadley (scaine) wrote :

Erick, people will "flog the team" until one of them marks this bug "won't fix". Why hasn't that happened if SABDFL's word is law?

Actually, I do agree that it's nice that a decision is sometimes made, even if I myself feel it's the wrong one. But bug reports like this are important to argue/highlight that Mark sometimes /does/ make the wrong decision. Up to a point, at least. If that point has now been reached, change its status and be done.

Ultimately, I get that Mark has final say, but if we can't even present argument for and against anymore, then the community around Ubuntu will eventually drift away to where they're valued. Hopefully that won't be the case.

Changed in notify-osd (Ubuntu):
assignee: Matthew Paul Thomas (mpt) → nobody
Revision history for this message
Matthew Paul Thomas (mpt) wrote :

This report of a regression is still invalid for the reasons I gave on 2009-03-23. If you would like the position to be customizable, that is a separate issue, covered by bug 556527.

Changed in notify-osd (Ubuntu):
status: Confirmed → Invalid
Displaying first 40 and last 40 comments. View all 103 comments or add a comment.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Related questions